import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { WilliamsPercentRIndicator } from "./WilliamsPercentRIndicator";
/**
 * Represents a IgxDataChartComponent Williams %R indicator series.
 * Default required members: High, Low, Close
*/
export class IgrWilliamsPercentRIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new WilliamsPercentRIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current StandardDeviationIndicator object.
     * The typical, and initial, value for Williams %R periods is 14.
    */
    get period() {
        return this.i.ql;
    }
    set period(v) {
        this.i.ql = +v;
    }
}
